
	global res globlist stpovno
	set x [lindex $globlist $stpovno];
	regexp {(\w+)(\s+)?(\d+)?(\.(\d+))?(\s+)?(\d+)?(\.(\d+))?(\s+)?(\d+)?(\.(\d+))?(\s+)?(\d+)?(\.(\d+))?(\s+)?(\d+)?(\.(\d+))?(\s+)?(\d+)?(\.(\d+))?} $x stri cmmd sp0 num1 num11 num12 sp1 num2 num21 num22 sp2 num3 num31 num32 sp3 num4 num41 num42 sp4 num5 num51 num52 sp5 num6 num61 num62
	if { $stpovno < [llength $globlist]} {
		switch -exact -- $cmmd {
	ba {	ScilabEval "\[a b\]=ba($num1,$num2,$num3);;nodno=$num1+$num3;t=tran(a,b,nodno)" "seq";\
		ScilabEval "g=make_graph('ba',0,nodno,a,b)" "seq"}
	er {	ScilabEval "\[a b\]=er($num1,$num2);;nodno=$num1;t=tran(a,b,nodno)" "seq";\
		ScilabEval "g=make_graph('er',0,nodno,a,b)" "seq"}
	ws {	if {![string equal $num31 ""]} {
			set argu3 [expr $num3+$num31];
		} else {
			set argu3 $num3;
		}
		ScilabEval "\[a b\]=ws($num1,$num2,$argu3);nodno=$num1;t=tran(a,b,nodno)" "seq";
		ScilabEval "g=make_graph('ws',0,nodno,a,b);" "seq"}
	bbv {   if {[string equal $num41 ""]} {
			set argu4 $num4;
		} else {
			set argu4 [expr $num4+$num41];
		}
		if {[string equal $num51 ""]} {
			set argu5 $num5;
		} else {
			set argu5 [expr $num5+$num51];
		}
		ScilabEval "\[a b s w\]=bbv($num1,$num2,$num3,$argu4,$argu5);nodno=$num1+$num3;t=tran(a,b,nodno)" "seq";
		ScilabEval "g=make_graph('bbv',0,nodno,a,b)" "seq"}
	com {	if {[string equal $num61 ""]} {
		       set argu6 $num6
       		} else {
	 		set argu6 [expr $num6+$num61]
		}		
		ScilabEval "\[a b\]=com($num1,$num2,$num3,$num4,$num5,$argu6" "seq"
		ScilabEval "g=make_graph('com',0,$num2,a,b)" "seq"}
	bet {   ScilabEval "bett=bet(t)" "seq"}
	eff { 	ScilabEval "tt=tran(g('head'),g('tail'),g('node_number'));;efff=eff(tt);TCL_SetVar('efff',efff)" "seq"
		ScilabEval {TCL_EvalStr('$res insert end ""efficiency parameter:[format %12.6f $efff]""')}}
	assc { 	ScilabEval "asscc=assc(a,b,nodno);TCL_SetVar('asscc',asscc)" "seq"
	        ScilabEval {TCL_EvalStr('$res insert end ""accurate assortative coefficient:[format %6.6f $asscc]""')}}
	cluster { ScilabEval "\[avecc cc\]=cluster(t);TCL_SetVar('avecc',avecc)" "seq"
		ScilabEval {TCL_EvalStr('$res insert end ""accurate clustering coefficient:[format %6.6f $avecc]""')}}
	sis {   if {[string equal $num41 ""]} {
			set argu4 $num4
		} else {
			set argu4 [expr $num4+$num41];
		}
		ScilabEval "\[inf infname\]=sis(a,b,$num1,$num2,$num3,$argu4);TCL_SetVar('inf',inf($num2))" "seq"
		ScilabEval {TCL_EvalStr('$res insert end ""infected fraction:[format %6.6f $inf]""')}}
	sirs { if {[string equal $num61 ""]} {
			set argu6 $num6
		} else {
			set argu6 [expr $num6+$num61]
		} 
		ScilabEval "inf=sirs(a,b,$num1,$num2,$num3,$num4,$num5,$num6);TCL_SetVar('infsirs',inf($num2))" "seq"
		ScilabEval {TCL_EvalStr('$res insert end ""infected fraction:[format %6.6f $infsirs]""')}}
	attack { ScilabEval "g=attack(g,$num1,$num2);" "seq"}
	scidecom {ScilabEval "\[com1 com2 com3 com4\]=scidecom(a,b)" "seq"}
	draw_graph {ScilabEval "draw_graph(g,1)" "seq"}
	draw_degree {ScilabEval "xset('window',1)" "seq";
		ScilabEval "draw_degree(g,$num1);" "seq"}
	draw_betweenness {ScilabEval "xset('window',2)" "seq";
		ScilabEval "draw_betweenness(t,bett,$num1);" "seq"}
	mark_sis { ScilabEval "draw_graph(g,1);mark_sis(infname,g)" "seq"}
	draw_com { ScilabEval "xset('window',3)" "seq";
		ScilabEval "draw_com(a,b)" "seq"}
	plot_inf { ScilabEval "plot_inf($num1,inf)"}
	}
	incr stpovno 1
	} else {
		tk_messageBox -message "Step Over Finished!"
		set stpovno 0
		break;
	}


